<template>
    <div>

        <div id="wrapper">

            <menu-component></menu-component>

            <div id="page-wrapper" class="gray-bg">
                <div class="row border-bottom">
                    <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                        <div class="navbar-header">
                            <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " @click.prevent="">
                                <i class="fa fa-bars"></i>
                            </a>
                        </div>
                        <ul class="nav navbar-top-links navbar-right">

                            <notification-component></notification-component>

                            <li>
                                <a href="#" @click.prevent="logout">
                                    <i class="fa fa-sign-out"></i> Sair
                                </a>
                            </li>
                        </ul>

                    </nav>
                </div>

                <router-view></router-view>

                <div class="footer">
                    <div>
                        <strong>Copyright</strong> Upinsoft Sistemas Web &copy; 2018
                    </div>
                </div>

            </div>
        </div>

    </div>
</template>

<script>
    import NotificationComponent from './NotificationComponent'
    import MenuComponent from './MenuComponent'
    import FullLoading from './FullLoadingComponent'

    export default {
        components: {
            NotificationComponent, MenuComponent, FullLoading
        },

        methods: {
            logout() {
                this.$store.dispatch('logout')
                    .then(() => {
                        window.location.href = '/login'
                    })
            }
        },

        computed: {

        }
    }
</script>

